/****************************************************************/
/*  
     ***   ***  ***  *** ***     *** ***   ******  ****  ***
     ***   ***  ***  *** ***     *** **   ***  *** ***** ***
     ***   ***  ***  *** ***     *****    ******** *** *****
      *** ***   ***  *** ******* *** **   ***  *** ***  ****
       *****     *****   ******* *** ***  ***  *** ***   ***

     Vulkan Graphics API
     Introductory Tutorials

     Minimal working examples (MWE) to build upon and 
     modify to gain an understanding of the API

/*
/****************************************************************/


#version 420



layout (location = 0) in  vec4  inPos;
layout (location = 1) in  vec3  inColor;

layout (location = 0) out vec3  outColor;

layout (binding = 0) uniform UBO 
{
    mat4 model;
    mat4 view;
    mat4 projection;
} ubo;

out gl_PerVertex
{
	vec4 gl_Position;
};

void main() 
{
	gl_Position = ubo.projection * ubo.view * ubo.model * vec4(inPos.xyz, 1.0);
	outColor = inColor;
}// End main(..)
